### Hierarchy

- IGrid

### Implemented by

- Grid

### Indexable

[key: string]: any

## Index

### Properties

- Events
- canEdit
- contrast
- disallowSelection
- fit
- gridlines
- headings
- highlights
- ref
- state
- tracking
- userId

### Methods

- destroy
- find
- getContentHtml
- getGridCell
- reset
- setContent
- setContrast
- setDeltaContent
- setFreeze
- setHiddenColumns
- setOption
- setSelectorByRef
- update
- updateButtons
- updateFit
- updateFreeze
- updateRanges
- updateSorting
- updateState
- updateStyles
- updateTrackingData

## Properties

### Events

Events: IGridEvents

- Defined in Grid3/Grid.ts:111

### canEdit

canEdit: boolean

- Defined in Grid3/Grid.ts:109

### contrast

contrast: string

- Defined in Grid3/Grid.ts:107

### disallowSelection

disallowSelection: boolean

- Defined in Grid3/Grid.ts:108

### fit

fit: string

- Defined in Grid3/Grid.ts:102

### gridlines

gridlines: boolean

- Defined in Grid3/Grid.ts:104

### headings

headings: boolean

- Defined in Grid3/Grid.ts:103

### highlights

highlights: boolean

- Defined in Grid3/Grid.ts:105

### ref

ref: string | HTMLDivElement

- Defined in Grid3/Grid.ts:101

### state

state: IGridState

- Defined in Grid3/Grid.ts:112

### tracking

tracking: boolean

- Defined in Grid3/Grid.ts:106

### userId

userId: number

- Defined in Grid3/Grid.ts:110

## Methods

### destroy

- destroy(): void

- - Defined in Grid3/Grid.ts:115

  #### Returns void

### find

- find(query: string): void

- - Defined in Grid3/Grid.ts:138

  #### Parameters

  - ##### query: string

  #### Returns void

### getContentHtml

- getContentHtml(): string

- - Defined in Grid3/Grid.ts:126

  #### Returns string

### getGridCell

- getGridCell(rowIndex: number, colIndex: number): IGridCell | null

- - Defined in Grid3/Grid.ts:125

  #### Parameters

  - ##### rowIndex: number

  - ##### colIndex: number

  #### Returns IGridCell | null

### reset

- reset(): void

- - Defined in Grid3/Grid.ts:114

  #### Returns void

### setContent

- setContent(content: IPageContent, state?: IGridState): void

- - Defined in Grid3/Grid.ts:118

  #### Parameters

  - ##### content: IPageContent

  - ##### Optional state: IGridState

  #### Returns void

### setContrast

- setContrast(which: string): void

- - Defined in Grid3/Grid.ts:121

  #### Parameters

  - ##### which: string

  #### Returns void

### setDeltaContent

- setDeltaContent(content: any): void

- - Defined in Grid3/Grid.ts:119

  #### Parameters

  - ##### content: any

  #### Returns void

### setFreeze

- setFreeze(row: number, col: number, headings?: undefined | false | true): void

- - Defined in Grid3/Grid.ts:120

  #### Parameters

  - ##### row: number

  - ##### col: number

  - ##### Optional headings: undefined | false | true

  #### Returns void

### setHiddenColumns

- setHiddenColumns(columns: number[]): void

- - Defined in Grid3/Grid.ts:122

  #### Parameters

  - ##### columns: number[]

  #### Returns void

### setOption

- setOption(key: string, value: any): void

- - Defined in Grid3/Grid.ts:117

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns void

### setSelectorByRef

- setSelectorByRef(str: string): void

- - Defined in Grid3/Grid.ts:123

  #### Parameters

  - ##### str: string

  #### Returns void

### update

- update(scale?: undefined | number): void

- - Defined in Grid3/Grid.ts:128

  #### Parameters

  - ##### Optional scale: undefined | number

  #### Returns void

### updateButtons

- updateButtons(buttons?: IActionsButton[]): void

- - Defined in Grid3/Grid.ts:129

  #### Parameters

  - ##### Optional buttons: IActionsButton[]

  #### Returns void

### updateFit

- updateFit(fit: string): void

- - Defined in Grid3/Grid.ts:134

  #### Parameters

  - ##### fit: string

  #### Returns void

### updateFreeze

- updateFreeze(row: number, col: number, headings?: undefined | false | true): void

- - Defined in Grid3/Grid.ts:133

  #### Parameters

  - ##### row: number

  - ##### col: number

  - ##### Optional headings: undefined | false | true

  #### Returns void

### updateRanges

- updateRanges(ranges: any, userId?: undefined | number): void

- - Defined in Grid3/Grid.ts:130

  #### Parameters

  - ##### ranges: any

  - ##### Optional userId: undefined | number

  #### Returns void

### updateSorting

- updateSorting(sorting?: any): void

- - Defined in Grid3/Grid.ts:132

  #### Parameters

  - ##### Optional sorting: any

  #### Returns void

### updateState

- updateState(state: IGridState): void

- - Defined in Grid3/Grid.ts:131

  #### Parameters

  - ##### state: IGridState

  #### Returns void

### updateStyles

- updateStyles(styles?: IGridContentStyles): void

- - Defined in Grid3/Grid.ts:136

  #### Parameters

  - ##### Optional styles: IGridContentStyles

  #### Returns void

### updateTrackingData

- updateTrackingData(trackingData: ITrackingData[]): void

- - Defined in Grid3/Grid.ts:135

  #### Parameters

  - ##### trackingData: ITrackingData[]

  #### Returns void

Generated using TypeDoc